Loading...
Searching...
No Matches
GMPrat.h File Reference
`#include "coeffs/si_gmp.h"`

Go to the source code of this file.

## Data Structures

class | Rational
struct | Rational::rep

## Functions

Rational | operator+ (const Rational &, const Rational &)
Rational | operator- (const Rational &, const Rational &)
Rational | operator* (const Rational &, const Rational &)
Rational | operator/ (const Rational &, const Rational &)

## Function Documentation

## operator*()

Rational operator* | ( | const Rational & | a,
|  | const Rational & | b )

Definition at line 403 of file GMPrat.cc.

{
Rational
erg(a);
return erg*=b;
}
b
CanonicalForm b
Definition cfModGcd.cc:4111
Rational
Definition GMPrat.h:15

## operator+()

Rational operator+ | ( | const Rational & | a,
|  | const Rational & | b )

Definition at line 385 of file GMPrat.cc.

{
Rational
erg(a);
return erg+=b;
}

## operator-()

Rational operator- | ( | const Rational & | a,
|  | const Rational & | b )

Definition at line 394 of file GMPrat.cc.

{
Rational
erg(a);
return erg-=b;
}

## operator/()

Rational operator/ | ( | const Rational & | a,
|  | const Rational & | b )

Definition at line 422 of file GMPrat.cc.

{
Rational
erg(a);
return erg/=b;
}